
Redmine - Defect #5089

i18N error on truncated revision diff view

2010-03-15 21:57 - Mischa The Evil

Status: Closed Start date: 2010-03-15

Priority: Normal Due date:  

Assignee: Jean-Baptiste Barth % Done: 100%

Category: SCM Estimated time: 0.00 hour

Target version: 1.2.1   

Resolution: Fixed Affected version: 1.2.0

Description

While browsing the latest changes in the Redmine trunk on redmine.org I noticed an strange error regarding the i18N. My

Redmine.org account is configured to use the English language but the truncation-message at the bottom of the revision diff view

appears in a language which is certainly not English (it looks like Spanish or something).

I'll attach a screenshot of it...

Just wanted to post it here to see if its related to redmine.org only or not...

Associated revisions

Revision 6073 - 2011-06-14 00:09 - Jean-Baptiste Barth

Do not cache I18n strings when truncating a long diff (#5089).

History

#1 - 2010-05-02 22:47 - Muntek Singh

I am unable to reproduce on redmine.org, nor in 0.9.4

#2 - 2010-08-09 01:19 - Jean-Baptiste Barth

- Category changed from Website (redmine.org) to SCM

- Status changed from New to 7

- Assignee changed from Jean-Philippe Lang to Jean-Baptiste Barth

Reproduced here, on redmine.org and on trunk. Didn't have the time to take a look at the code, but I think it's be related to caching.

Steps to reproduce :

set the max diff lines to 2 or 3

display a diff

change your locale

display the same diff: old locale is still here

Same goes on activity page, activity is cached and may be in the wrong locale if you change your locale.

I'll take a deeper look at it as soon as I can.

#3 - 2011-06-14 00:09 - Jean-Baptiste Barth

- Status changed from 7 to Resolved

- Target version set to 1.2.1

- % Done changed from 0 to 100

- Affected version (unused) set to 1.2.0

- Resolution set to Fixed

- Affected version set to 1.2.0

Fixed in r6073.

#4 - 2011-07-03 12:18 - Jean-Philippe Lang

2025-07-02 1/2

https://www.redmine.org/projects/redmine/repository/svn/revisions/6073


- Status changed from Resolved to Closed

Merged in 1.2-stable, thanks.
